function [seglen,suffix] = strtoseglen(obj,str)
% Convert a text string to seconds
% seglen is in seconds
% suffix is the suffix used in the input string
	
    suffix='';
	if ~isa(obj,'ts_data_channel'), error('First argument must be a ts_data_channel object!'); end
	if ~isstr(str), seglen = str; return; end
	sl = length(str);
	switch(str(length(str))),
		case {'p','P'}, seglen = str2num(str(1:sl-1))/obj.sampfreq; suffix='p';
		case {'s','S'}, seglen = str2num(str(1:sl-1));              suffix='s';
		case {'m','M'}, seglen = str2num(str(1:sl-1))*60;           suffix='m';
		case {'h','H'}, seglen = str2num(str(1:sl-1))*3600;         suffix='h';
		case {'d','D'}, seglen = str2num(str(1:sl-1))*86400;        suffix='d';
		otherwise, seglen = str2num(str);
	end
%disp('BBBB')
%	seglen