function ts_warning(message,varargin)
%TS_WARNING Function to print TiSKit warning messages
    %   Usage:
    %       ts_warning(message)  % Print the warning message
    %
    %   message can be a fprintf-like formatted string, followed by argument variables.
    %
    
    st=dbstack(1);
    if length(st)>1,
        file=st(1).file;
        name=st(1).name;
    else
        file=''; name='';
    end
	message=sprintf(message,varargin{:});
	fprintf('TiSKit warning: %s (in %s:%s)\n',message,file,name);
	%fprintf('Warning: %s:%s: %s\n',file,name,message);
end

