function tsp_DataCMenu(command,value)
% Contextual menu routines.  When the user CTRL-clicks on a plot line, this
% routine takes care of it.

global TSPLOT_DATA
%global TSPLOT_VARIABLES
APchan = sscanf(get(gca,'Tag'),'APchan%d');
% First, get the line handle
% kids=get(gca,'Children');
% hl = [];
% for i = 1:length(kids),
% 	if get(kids(i),'Type') == line;
% 		hl = kids(i);
% 	end
% end
% % Next, get handle to the contextual menu
% hcm = get(gcbo,'Parent');
get(gcbo)
h=gcbo
switch command,
	case 'datadisp',
        % TSPLOT_VARIABLES.timefigureprops   % DEBUG
		switch value,
			case 'solid',
				if strcmp(get(h,'Checked'),'off'),	% turn on line
					TSPLOT_DATA.channel(APchan).subplotprops.linetype='-';
                    set(h,'Checked','on');
				else		% turn off line
					TSPLOT_DATA.channel(APchan).subplotprops.linetype='none';
                    set(h,'Checked','off');
				end
				tsp_plottime;
			case 'dots',
				if strcmp(get(h,'Checked'),'off'),	% turn on dots
					TSPLOT_DATA.channel(APchan).subplotprops.marker='.';
                    set(h,'Checked','on');
				else		% turn off dots
					TSPLOT_DATA.channel(APchan).subplotprops.marker='none';
                    set(h,'Checked','off');
				end
				tsp_plottime;
		end
	case 'demultiplex',
		answer = inputdlg({'# of multiplexed channels:'},'Input',1,{'1'});
		demux = str2double(answer{1});
		TSPLOT_DATA.channel(APchan).subplotprops.demultiplex=demux;
		tsp_plottime;
	case 'remultiplex',
		TSPLOT_DATA.channel(APchan).subplotprops.demultiplex=0;
		tsp_plottime;
end
