% TISKIT
%
% PRIMARY CLASSES AND THEIR COMPONENT CLASSES
%   ts_data                          - Time series data
%       ts_data_channel                  - Individual time series
%           ts_data_channel_metadata         - Metadata for time series
%       ts_data_figureproperties         - Figure properties for ts_data
%   ts_file                          - Time series data files
%   ts_spectra                       - Power spectra and coherencies
%       ts_spectra_channelinfo           - Spectra channel information
%   ts_xferfun                       - Transfer functions
%       ts_xferfun_channel               - Individual Transfer function
% Other Important Classes
%   ts_datetime	                     - Dates and times
%   ts_response                      - Instrument responses
%   ts_spectrogram                   - Spectrograms
% Other Classes
%   ts_event                         - Event information 
%   ts_figureproperties              - General figure properties
%   ts_figureproperties_subplot      - Individual plot parameters
%   ts_timeWindowList                - List of time windows
%   ts_shotinfo                      - Shot information
% Non-class Functions
%   ts_debug                         - Set/print TiSkit debug messages
%   ts_get                           - Get a value from the TiSkit global variables
%   ts_init                          - Initialize the TiSkit global variables
%   ts_set                           - Set a TiSkit global variable
%   ts_verbose                       - Set/print TiSkit verbose messages
%   ts_warning                       - Print TiSKit warning messages
