from obspy import UTCDateTime
from obspy.core.stream import read, Stream
import subprocess

# Choose any file for this test , as long as it's 1+ hours long
filename='RR28_20121201-20121202_0.5Hz.mseed'
stream=read(filename)
stream.plot()
starttime=stream[0].stats.starttime
stream1=stream.slice(starttime,starttime+1800)
stream2=stream.slice(starttime+1810, starttime+3600)

streams=stream1+stream2
stream1.write('stream1.msd',format='MSEED')
stream2.write('stream2.msd',format='MSEED')
streams.write('streams.msd',format='MSEED')

# Couldn't get this to run by subprocess, just went into the shell and ran it
#subprocess.call('/Users/crawford/bin/msmod stream1.msd stream2.msd -o streams2.msd')

newstreams=read('streams.msd')
newstreams2=read('streams2.msd')
newstreams2.plot()