function fig = tsp_FreqGUI()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load tsp_FreqGUI

temp = get(0,'MonitorPositions');
fpos = temp(end,:);
fpos = [fpos(1)+fpos(3)*.06 fpos(2)+fpos(4)*.06 fpos(3)*.9 fpos(4)*.9];

%% FIGURE
h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'Name','ap_view:Freq', ...
	'CreateFcn','global TSPLOT_SPECTRA; global TSPLOT_XFERFUN', ...
	'Position',fpos, ...
	'ResizeFcn','tsp_plotspect', ...
	'Tag','tsp_FreqGUI');
defaultBackground=get(0,'defaultUicontrolBackgroundColor');
set(h0,'Color',defaultBackground);

%% DISPLAY MENU
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','callback', ...
	'Label','tsp_Display', ...
	'Tag','uimenu1');
uimenu('Parent',h1, ...
	'Callback','tsp_FreqGUIMod(''showpanes'');', ...
	'Checked','on', ...
	'Enable','off', ...
	'Label','Separate Panes', ...
	'Tag','MenuShowPanes');
uimenu('Parent',h1, ...
	'Callback','tsp_FreqGUIMod(''showoverlay'');', ...
	'Label','Overlay', ...
	'Enable','on', ...
	'Tag','MenuShowOverlay');
%% MENUS (are these necessary? not in tsp_TimeGUI.m)
h1 = uimenu('Parent',h0, ...
	'Label','File', ...
	'Tag','File1');
uimenu('Parent',h1, ...
	'Accelerator','S', ...
	'Label','Save', ...
	'Tag','Datauimenu1');
uimenu('Parent',h1, ...
	'Label','Page Setup', ...
	'Separator','on', ...
	'Tag','FilePage Setup1');
uimenu('Parent',h1, ...
	'Accelerator','P', ...
	'Label','Print', ...
	'Tag','FilePrint1');
uimenu('Parent',h1, ...
	'Accelerator','Q', ...
	'Label','Quit', ...
	'Separator','on', ...
	'Tag','FileQuit1');
h1 = uimenu('Parent',h0, ...
	'Label','Figure', ...
	'Tag','uimenu2');
uimenu('Parent',h1, ...
	'Accelerator','T', ...
	'Label','To Time Window', ...
	'Tag','FigureGo To Time1');
uimenu('Parent',h1, ...
	'Accelerator','L', ...
	'Label','Redraw', ...
	'Separator','on', ...
	'Tag','PlotParmsScreenuimenu2');
h2 = uimenu('Parent',h1, ...
	'Label','Symbol', ...
	'Tag','PlotParmsPlotsuimenu1');
uimenu('Parent',h2, ...
	'Checked','on', ...
	'Label','Lines', ...
	'Tag','FigureSymbolLines1');
uimenu('Parent',h2, ...
	'Label','Dots', ...
	'Tag','FigureSymbolDots1');
uimenu('Parent',h2, ...
	'Label','Symbols', ...
	'Tag','FigureSymbolSymbols1');
h2 = uimenu('Parent',h1, ...
	'Label','Grid', ...
	'Tag','FigureGrid1');
uimenu('Parent',h2, ...
	'Checked','on', ...
	'Label','xy', ...
	'Tag','FigureGridxy1');
uimenu('Parent',h2, ...
	'Label','x', ...
	'Tag','FigureGridx1');
uimenu('Parent',h2, ...
	'Label','y', ...
	'Tag','FigureGridy1');
uimenu('Parent',h2, ...
	'Label','off', ...
	'Tag','FigureGridoff1');

%% CONTROLS
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'FontSize',12, ...
% 	'FontWeight','bold', ...
% 	'HandleVisibility','off', ...
% 	'Position',[11 4 25 20], ...
% 	'String','<', ...
% 	'Tag','Pushbutton1');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'FontSize',12, ...
% 	'FontWeight','bold', ...
% 	'HandleVisibility','off', ...
% 	'Position',[40 4 25 20], ...
% 	'String','>', ...
% 	'Tag','Pushbutton1');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'HandleVisibility','off', ...
% 	'HorizontalAlignment','left', ...
% 	'Position',[4 28 40 13], ...
% 	'String','Record', ...
% 	'Style','text', ...
% 	'Tag','StaticText1');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'HandleVisibility','callback', ...
% 	'Position',[39 26 40 20], ...
% 	'Style','edit', ...
% 	'Tag','EditTextrecnumber');

col1=5; col2=80; col3=150; col4=220; colwidth=65;
%% Row 1: Labels
ybase=40; 
uicontrol('Parent',h0, ...
	'Units','points', ...
	'HandleVisibility','off', ...
	'Position',[col1 ybase colwidth 20], ...
	'String','BOUNDS', ...
    'HorizontalAlignment','right',...
	'Style','text', ...
	'Tag','StaticText2');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'HandleVisibility','off', ...
	'Position',[col2 ybase colwidth 20], ...
	'String','minimum', ...
    'HorizontalAlignment','center',...
	'Style','text', ...
	'Tag','StaticText2');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'HandleVisibility','off', ...
	'Position',[col3 ybase colwidth 20], ...
	'String','maximum', ...
    'HorizontalAlignment','center',...
	'Style','text', ...
	'Tag','StaticText2');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'HandleVisibility','off', ...
	'Position',[col4 ybase colwidth 20], ...
	'String','Automatic', ...
    'HorizontalAlignment','left',...
	'Style','text', ...
	'Tag','StaticText2');

%% Row 2: Frequency
ybase=25; 
% Static Text: "freq"
uicontrol('Parent',h0, ...
	'Units','points', ...
	'HandleVisibility','off', ...
	'Position',[col1 ybase colwidth 16], ...
	'String','Frequency', ...
    'HorizontalAlignment','right', ...
	'Style','text', ...
	'Tag','StaticText2');
% Edit Text: minimum frequency
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','tsp_FreqGUIMod(''setfmin'',get(gcbo,''String''));', ...
	'FontSize',9, ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[col2 ybase colwidth 20], ...
	'String','1e-06', ...
	'Style','edit', ...
	'Tag','EditFMin');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','tsp_FreqGUIMod(''setfmax'',get(gcbo,''String''));', ...
	'FontSize',9, ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[col3 ybase colwidth 20], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','EditFMax');
% Checkbox: Automatic Frequency Range
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_FreqGUIMod(''ToggleAutoFRange'',get(gcbo,''Value''));', ...
	'HandleVisibility','callback', ...
	'Position',[col4 ybase colwidth/2 16], ...
	'Style','checkbox', ...
	'Tag','CBAutoFRange', ...
	'Value',1);

%% Row 3: Y
ybase=5; 
% Static Text: "Y"
uicontrol('Parent',h0, ...
	'Units','points', ...
	'HandleVisibility','off', ...
	'Position',[col1 ybase colwidth 16], ...
	'String','Y', ...
    'HorizontalAlignment','right',...
	'Style','text', ...
	'Tag','StaticText2');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','tsp_FreqGUIMod(''setymin'',get(gcbo,''String''));', ...
	'FontSize',9, ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[col2 ybase colwidth 20], ...
	'String','1e-05', ...
	'Style','edit', ...
	'Tag','EditYMin');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','tsp_FreqGUIMod(''setymax'',get(gcbo,''String''));', ...
	'FontSize',9, ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[col3 ybase colwidth 20], ...
	'String','1e+09', ...
	'Style','edit', ...
	'Tag','EditYMax');
% Checkbox: Automatic Y range
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_FreqGUIMod(''ToggleAutoYRange'',get(gcbo,''Value''));', ...
	'HandleVisibility','callback', ...
	'Position',[col4 ybase colwidth 16], ...
	'Style','checkbox', ...
	'Tag','CBAutoYRange', ...
	'Value',1);

%% RADIO BUTTONS FOR DATA TYPE
% Radio Button: for Spectra plot
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_FreqGUIMod(''plotspect'',get(gcbo,''Value''));', ...
	'HandleVisibility','callback', ...
	'Position',[267 35 110 13], ...
	'String','Spectra', ...
	'Style','radiobutton', ...
	'Tag','RBspect', ...
	'Value',1);
% Radio Button: for Coherence plot
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_FreqGUIMod(''plotcoher'',get(gcbo,''Value''));', ...
	'HandleVisibility','callback', ...
	'Position',[267 20 110 13], ...
	'String','Coherence', ...
	'Style','radiobutton', ...
	'Tag','RBcoher');
% Radio Button: for Transfer Function plot
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_FreqGUIMod(''calcxfunc'',get(gcbo,''Value''));', ...
	'HandleVisibility','callback', ...
	'Position',[267 5 110 13], ...
	'String','Xfer Function', ...
	'Style','radiobutton', ...
	'Tag','RBxf');

%% COMMENTS AND INFORMATION TEXT
% Edit text: Comments
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',9, ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','left', ...
	'Position',[360 35 280 17], ...
	'Style','edit', ...
	'Tag','EditGUIComments');
% Static text: data information
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',9, ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','left', ...
	'Position',[360 4 280 28], ...
	'String','Records X-X, addresses X-X, automatic addresses, X pt X window', ...
	'Style','text', ...
	'Tag','TextSpectInfo');

%%
if nargout > 0, fig = h0; end
